import { beginSell, buyOrder, submitOrder } from 'service/okxmarket.svr'
import { BaseController, ROLE_ANON, ZError, role, router } from 'zutils'

class OkxMarketController extends BaseController {
  @role(ROLE_ANON)
  @router('post /okx/market/presell')
  async sellNFTPre(req, res) {
    let { data } = req.params
    let result = await beginSell(data)
    if (result.data.code) {
      throw new ZError(result.data.code, result.data.message)
    }
    return result.data.data
  }

  @role(ROLE_ANON)
  @router('post /okx/market/sell')
  async sellNFT(req, res) {
    let { data } = req.params
    let result = await submitOrder(data)
    if (result.data.code) {
      throw new ZError(result.data.code, result.data.message)
    }
    return result.data.data
  }

  @role(ROLE_ANON)
  @router('post /okx/market/buy')
  async buyNFT(req, res) {
    let { data } = req.params
    let result = await buyOrder(data)
    if (result.data.code) {
      throw new ZError(result.data.code, result.data.message)
    }
    return result.data.data
  }

  @role(ROLE_ANON)
  @router('post /okx/market/listings')
  async queryListings(req, res) {
    return {}
  }

  @role(ROLE_ANON)
  @router('post /okx/market/offers')
  async queryOffers(req, res) {
    return {}
  }
}
