import { CodeRecord, CodeStatus } from 'modules/CodeRecord'
import * as schedule from 'node-schedule'
import { singleton } from 'zutils'

/**
 * 定时更新发送邮件验证码的过期状态
 */
@singleton
export default class CodeTaskSchedule {
  async parseAllRecord() {
    let now = Date.now()
    await CodeRecord.updateMany({ expiredAt: { $lt: now }, status: CodeStatus.PENDING }, { status: CodeStatus.EXPIRED })
  }
  scheduleAll() {
    const job = schedule.scheduleJob('*/1 * * * *', async () => {
      await this.parseAllRecord()
    })
  }
}
